blt.xaudio.setup()
part0 = XAudio.Buffer:new(ModPath .. "citizens.ogg")
part1 = XAudio.Buffer:new(ModPath .. "admins.ogg")
citizens = nil
admins = nil
startTime = 0
duration = 0
args = nil

function KickedState:at_enter(...)
	args = ...
	duration = part0:get_length()
	citizens = XAudio.Source:new(part0)
end

function KickedState:update(t, dt)
	if startTime == 0 then
		startTime = t
	end
	if ((t > startTime + duration) and (startTime ~= -1)) then
		startTime = -1
		admins = XAudio.Source:new(part1)
		
		self._kicked = true
		self._success = false
		self._completion_bonus_done = true

		KickedState.super.at_enter(self, args)

		if Network:multiplayer() then
			self:_shut_down_network()
		end

		self:_create_kicked_dialog()
	end
end